%define name	notecase
%define version 1.6.6
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	A hierarchical text notes manager
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}_src.tar.bz2
URL:		http://notecase.sourceforge.net/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	gtk2-devel libgnome-vfs2-devel
BuildRequires:	desktop-file-utils
Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description
NoteCase is a hierarchical text notes manager (AKA outliner).

It helps you organize your everyday text notes into a single document with
individual notes placed into a tree-like structure. To ensure your privacy
an encrypted document format is supported along with a standard unencrypted
one.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --remove-key='Encoding' \
  --remove-key='Office' \
  --remove-key='Version' \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

perl -pi -e 's|.xpm|.png||g' %buildroot/%_datadir/applicaitons/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 res/%name.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 res/%name.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 res/%name.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_mime_databse		

%postun
%clean_menus
%clean_mime_database

%files -f %{name}.lang
%defattr(-,root,root)
%if %mdkver < 200800
%doc readme.txt
%{_datadir}/doc/%name
%else
%doc readme.txt docs/help.ncd
%endif
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 1.6.6-1mdv2008.0
+ Revision: 79903
- New version 1.6.6

* Wed Jun 13 2007 Austin Acton <austin@mandriva.org> 1.5.6-2mdv2008.0
+ Revision: 38880
- fix for non-versioned docdir while allowing backports

* Wed Jun 13 2007 Austin Acton <austin@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 38752
- buildrequires gnome-vfs
- buildrequires desktop-file-utils
- new version (new era really)
- XDG menu
- png icon
- mkrel


* Wed Jul 20 2005 Austin Acton <austin@mandriva.org> 1.0.0-1mdk
- New release 1.0.0

* Wed Jun 22 2005 Austin Acton <austin@mandriva.org> 0.9.3-1mdk
- New release 0.9.3

* Mon May 30 2005 Austin Acton <austin@mandriva.org> 0.8.9-1mdk
- New release 0.8.9

* Tue May 10 2005 Austin Acton <austin@mandriva.org> 0.8.7-1mdk
- New release 0.8.7

* Thu Mar 31 2005 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- initial package

